<?php
class GridPosicioninvAction extends wtActions
{
    public function execute()
    {
        try
        {
            myUser::getUser()->validar_session();

            $s_IdItem    = $this->getRequestParameter( 'IdItem' );
            $s_IdLinea   = $this->getRequestParameter( 'IdLinea' );
            $s_IdFamilia = $this->getRequestParameter( 'IdFamilia' );
            $s_IdMarca   = $this->getRequestParameter( 'IdMarca' );

            $this->a_DataItem = ALM_ItemMastFN::buscarItemPorParametros( $this->getRequestParameterAll() );
            
            //para recuperar la moneda del sistema
            $o_MST_ListaPrecioCabeceraFN = new MST_ListaPrecioCabeceraFN();
            $o_MST_ListaPrecioCabeceraBN = $o_MST_ListaPrecioCabeceraFN = $o_MST_ListaPrecioCabeceraFN->selectByPK( myUser::getUser()->getIdBusiness(), myUser::getUser()->getIdSucursal() );
            if( !$o_MST_ListaPrecioCabeceraBN )
            {
                $o_MST_ListaPrecioCabeceraBN = $o_MST_ListaPrecioCabeceraFN->buscaListaPrecioAlternativo();
            }
            $this->s_IdMoneda = $o_MST_ListaPrecioCabeceraBN->getIdMoneda();

            $o_ALM_AlmacenMastFN = new ALM_AlmacenMastFN();
            $o_ALM_AlmacenMastFN->setIdCompania( myUser::getUser()->getIdBusiness() );
            $o_ALM_AlmacenMastFN->addOrderBy( ALM_AlmacenMastFN::Codigo );
            $this->a_ALM_AlmacenMast = $o_ALM_AlmacenMastFN->select();
        }
        catch ( Exception $o_Exception )
        {
            
        }
        
        ViewResponse::getInstance()->setMethodAjax();
    }
}
